Alerts Suppression Rules - Update
기존 규칙을 업데이트하거나 없는 경우 새 규칙을 만듭니다.
PUT https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Security/alertsSuppressionRules/{alertsSuppressionRuleName}?api-version=2019-01-01-preview
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
alerts
|
path | True |
string |
표시 안 함 경고 규칙의 고유 이름 |
|
subscription
|
path | True |
string pattern: ^[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}$ |
Azure 구독 ID |
|
api-version
|
query | True |
string |
작업에 대한 API 버전 |
요청 본문
| Name | 필수 | 형식 | Description |
|---|---|---|---|
| properties.alertType | True |
string |
자동으로 표시하지 않을 경고의 유형입니다. 모든 경고 유형에 대해 '*'를 사용합니다. |
| properties.reason | True |
string |
경고를 해제하는 이유 |
| properties.state | True |
규칙의 가능한 상태 |
|
| properties.comment |
string |
규칙에 대한 모든 설명 |
|
| properties.expirationDateUtc |
string (date-time) |
규칙의 만료 날짜입니다. 값이 null로 제공되지 않거나 제공되지 않으면 만료가 전혀 없습니다. |
|
| properties.suppressionAlertsScope |
표시 안 함 조건 |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
그래 |
|
| Other Status Codes |
작업이 실패한 이유를 설명하는 오류 응답입니다. |
보안
azure_auth
Azure Active Directory OAuth2 흐름
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
Update or create suppression rule for subscription
샘플 요청
PUT https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/alertsSuppressionRules/dismissIpAnomalyAlerts?api-version=2019-01-01-preview
{
"properties": {
"alertType": "IpAnomaly",
"expirationDateUtc": "2019-12-01T19:50:47.083633Z",
"state": "Enabled",
"reason": "FalsePositive",
"comment": "Test VM",
"suppressionAlertsScope": {
"allOf": [
{
"field": "entities.ip.address",
"in": [
"104.215.95.187",
"52.164.206.56"
]
},
{
"field": "entities.process.commandline",
"contains": "POWERSHELL.EXE"
}
]
}
}
}
샘플 응답
{
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/alertsSuppressionRules/dismissIpAnomalyAlerts",
"name": "dismissIpAnomalyAlerts",
"type": "Microsoft.Security/alertsSuppressionRules",
"properties": {
"alertType": "IpAnomaly",
"lastModifiedUtc": "2019-07-31T19:50:47.083633Z",
"expirationDateUtc": "2019-12-01T19:50:47.083633Z",
"state": "Enabled",
"reason": "FalsePositive",
"comment": "Test VM",
"suppressionAlertsScope": {
"allOf": [
{
"field": "entities.ip.address",
"in": [
"104.215.95.187",
"52.164.206.56"
]
},
{
"field": "entities.process.commandline",
"contains": "POWERSHELL.EXE"
}
]
}
}
}
정의
| Name | Description |
|---|---|
|
Alerts |
표시 안 함 규칙에 대해 설명합니다. |
|
Cloud |
실패한 작업에 대한 오류 세부 정보를 반환하는 모든 Azure Resource Manager API에 대한 일반적인 오류 응답입니다. 또한 OData 오류 응답 형식을 따릅니다. |
|
Cloud |
오류 세부 정보입니다. |
|
Error |
리소스 관리 오류 추가 정보입니다. |
|
Rule |
규칙의 가능한 상태 |
|
Scope |
표시하지 않을 경고를 식별하는 데 사용되는 보다 구체적인 범위입니다. |
|
Suppression |
AlertsSuppressionRule
표시 안 함 규칙에 대해 설명합니다.
| Name | 형식 | Description |
|---|---|---|
| id |
string |
리소스 ID |
| name |
string |
리소스 이름 |
| properties.alertType |
string |
자동으로 표시하지 않을 경고의 유형입니다. 모든 경고 유형에 대해 '*'를 사용합니다. |
| properties.comment |
string |
규칙에 대한 모든 설명 |
| properties.expirationDateUtc |
string (date-time) |
규칙의 만료 날짜입니다. 값이 null로 제공되지 않거나 제공되지 않으면 만료가 전혀 없습니다. |
| properties.lastModifiedUtc |
string (date-time) |
이 규칙이 마지막으로 수정된 시간 |
| properties.reason |
string |
경고를 해제하는 이유 |
| properties.state |
규칙의 가능한 상태 |
|
| properties.suppressionAlertsScope |
표시 안 함 조건 |
|
| type |
string |
리소스 종류 |
CloudError
실패한 작업에 대한 오류 세부 정보를 반환하는 모든 Azure Resource Manager API에 대한 일반적인 오류 응답입니다. 또한 OData 오류 응답 형식을 따릅니다.
| Name | 형식 | Description |
|---|---|---|
| error.additionalInfo |
오류 추가 정보입니다. |
|
| error.code |
string |
오류 코드입니다. |
| error.details |
오류 세부 정보입니다. |
|
| error.message |
string |
오류 메시지입니다. |
| error.target |
string |
오류 대상입니다. |
CloudErrorBody
오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| additionalInfo |
오류 추가 정보입니다. |
|
| code |
string |
오류 코드입니다. |
| details |
오류 세부 정보입니다. |
|
| message |
string |
오류 메시지입니다. |
| target |
string |
오류 대상입니다. |
ErrorAdditionalInfo
리소스 관리 오류 추가 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| info |
object |
추가 정보입니다. |
| type |
string |
추가 정보 유형입니다. |
RuleState
규칙의 가능한 상태
| 값 | Description |
|---|---|
| Enabled | |
| Disabled | |
| Expired |
ScopeElement
표시하지 않을 경고를 식별하는 데 사용되는 보다 구체적인 범위입니다.
| Name | 형식 | Description |
|---|---|---|
| field |
string |
표시하지 않을 경고 엔터티 형식입니다. |
SuppressionAlertsScope
| Name | 형식 | Description |
|---|---|---|
| allOf |
경고를 표시하지 않도록 하려면 내부의 모든 조건이 true여야 합니다. |